Subject: Re: [bitcoindev] CTV + CSFS: a letter

From: Michael Folkson <[email-masked]>
Date: Mon, 9 Jun 2025 18:56:08 +0300

> I have consistently supported CTV for upwards of 3 years now. This should
be pretty clear based on a cursory read of my VAULT BIP's introduction:
https://github.com/bitcoin/bips/blob/master/bip-0345.mediawiki#introduction

Sure but CTV has never been enough for what you personally want to do
(your flavor of vaults). You need OP_VAULT, OP_CCV or OP_CSFS right?

I don't mean to be a smart ass, I know how fiendishly difficult and
frustrating this covenants maze is with so many subtly different
views. But I think it is a fair challenge to try to understand exactly
what you want/need and whether you're going to want CCV etc in
addition at a later date or not.

Thanks
Michael

On Mon, Jun 9, 2025 at 5:41 PM James O'Beirne <[email-masked]> wrote:
>
> On Mon, Jun 9, 2025 at 8:51 AM Michael Folkson <[email-masked]> wrote:
> > Having read that I assumed you would be working on CCV so I'm quite
> > surprised that a month later you're now proposing that CTV and CSFS be
> > prepared for activation.
>
> I have consistently supported CTV for upwards of 3 years now. This should
> be pretty clear based on a cursory read of my VAULT BIP's introduction:
> https://github.com/bitcoin/bips/blob/master/bip-0345.mediawiki#introduction
>
> In fact, I was at one point listed as a co-author because I was championing
> it: https://github.com/bitcoin/bips/pull/1482
>
> I like CCV, but in my opinion it needs more time to be scrutinized by the
> community.
>
> Best,
> James

-- 
Michael Folkson
Personal email: [email-masked]

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAFvNmHSQDkR9L7SAu95FmfASdrdjFPUmohEncjNcPHx2q4_9Fw%40mail.gmail.com.